Package org.apache.sysds.runtime.compress.io

## Class DictWritable

- java.lang.Object
- - org.apache.sysds.runtime.compress.io.DictWritable

All Implemented Interfaces:
  `Serializable`, `org.apache.hadoop.io.Writable`

    public class DictWritable
    extends Object
    implements org.apache.hadoop.io.Writable, Serializable

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DictWritable.K`

### Field Summary

Fields
`List<IDictionary>` `dicts`

### Constructor Summary

Constructors
`DictWritable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `readFields​(DataInput in)`
`String` `toString()`
`void` `write​(DataOutput out)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dicts

    public List<IDictionary> dicts

### Constructor Detail

#### DictWritable

    public DictWritable()

### Method Detail

#### write

    public void write​(DataOutput out)
               throws IOException

Specified by:
  `write` in interface `org.apache.hadoop.io.Writable`
Throws:
  `IOException`

#### readFields

    public void readFields​(DataInput in)
                    throws IOException

Specified by:
  `readFields` in interface `org.apache.hadoop.io.Writable`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`